<?xml version="1.0" encoding="UTF-8"?>
<value merge="@/graphing/graph2d/bin2d.xml">
    <value key="Binning" type="metahash">
        <meta key="Description" type="string">Cycle plot binning control</meta>

        <value key="Interval" type="metaboolean">
            <meta key="Description" type="string">Generate bins on each cycle interval at the division ticks</meta>
            <meta key="Editor" type="hash">
                <value key="Default" type="boolean">true</value>
            </meta>
        </value>

        <value key="TotalBefore" type="metaboolean">
            <meta key="Description" type="string">Generate a total bin before (left of) the main cycle</meta>
        </value>

        <value key="TotalAfter" type="metaboolean">
            <meta key="Description" type="string">Generate a total bin after (right of) the main cycle</meta>
        </value>

        <value key="ExtendAllMiddles" type="metaboolean">
            <meta key="Description" type="string">Enable the center line extension for all bins, instead of only for total bins if center line extension is enabled</meta>
            <meta key="UndefinedDescription" type="string">Enabled if no total bins are enabled</meta>
        </value>
    </value>
</value>